//
// DODS C++ header file for netcdf surrogate library. 
// 
// ReZa 10/6/94

/* $Log: Dnetcdf.h,v $
/* Revision 1.9  1998/02/05 20:14:44  jimg
/* DODS now compiles with gcc 2.8.x
/*
 * Revision 1.8  1996/09/17 00:26:09  jimg
 * Merged changes from a side branch which contained various changes from
 * Reza and Charles.
 * Removed ncdump and netexec since ncdump is now in its own directory and
 * netexec is no longer used.
 *
 * Revision 1.7.2.2  1996/07/10 21:43:47  jimg
 * Changes for version 2.06. These fixed lingering problems from the migration
 * from version 1.x to version 2.x.
 * Removed some (but not all) warning generated with gcc's -Wall option.
 *
 * Revision 1.7.2.1  1996/06/25 22:04:10  jimg
 * Version 2.0 from Reza.
 *
 * Revision 1.6  1995/03/21  20:58:14  jimg
 * Resolved conflicts between my (jhrg) files and those checked in by Reza.
 *
 * Revision 1.5  1995/03/16  16:56:22  reza
 * Updated for the new DAP. All the read_val mfunc. and their memory management
 * are now moved to their parent class.
 * Data transfers are now in binary while DAS and DDS are still sent in ASCII.
 *
 * Revision 1.4  1995/01/31  20:21:30  reza
 * Modified for new type subclassed DAP implementation.
 *
 * Revision 1.3  1994/12/08  19:04:51  reza
 * Added support for local netCDF file access through the original netCDF code.
 *
 * Revision 1.2  1994/11/23  21:06:07  reza
 * First working version.
 *
 * Revision 1.1  1994/11/03  04:37:55  reza
 * Preliminary version of netCDF -> DODS library.
 * 
 */

#if 0
#include "dbm.h"
#endif

#include  <netcdf.h>		// netcdf interface
#include  <string.h>
#include  <Pix.h>    

#include "lnetcdf.h"		// local netcdf interface
#include "Connect.h"
#include "NCConnect.h"
#include "Connections.h"	// Connections class interface

#if 0
#define Void char
#endif

extern Connections<NCConnectPtr>  *conns;

extern "C" void NCadvise(int err, char *fmt,...); // netcdf error handling

extern char *cdf_routine_name;
extern int rcode;		// return code



